package com.huiju.estateagents.controller;

import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.service.IStatisticalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * 数据统计
 */
@RestController
@RequestMapping("/")
public class StatisticalController {

    @Autowired
    private IStatisticalService iStatisticalService;

    /**
     * 首页统计
     * @return
     */
    @GetMapping(value = "/indexStatistical")
    public ResponseBean indexStatistical() {
        return iStatisticalService.indexStatistical();
    }


}
